$ErrorActionPreference = 'Stop'
$packageName = $env:ChocolateyPackageName

$file32bit = "sed-4.5.exe"
$file64bit = "sed-4.5-x64.exe"
$target = "sed.exe"

$file = $file32bit
if (Get-ProcessorBits 64) {
  $forceX86 = $env:chocolateyForceX86
  if ($forceX86) {
    Write-Debug "User specified '-x86' so forcing 32-bit"
  } else {
    if ($file64bit -ne $null -and $file64bit -ne '') {
      $file = $file64bit
    }
  }
}

$tools = "$(Split-Path -Parent $MyInvocation.MyCommand.Definition)"

Copy-Item (Join-Path $tools $file) (Join-Path $tools $target)

Remove-Item (Join-Path $tools $file32bit)
Remove-Item (Join-Path $tools $file64bit)
